Self Hosting "Can't Open File" Loadiine

Discussion in 'Wii U - Hacking & Backup Loaders' started by mpkostek, Apr 7, 2016.

  1. mpkostek
    OP

    mpkostek Advanced Member

    Newcomer
    80
    9
    Mar 25, 2016
    United States
    I have a 5.4.0 wii u and finally got loadiine to launch successfully while hosting the loadiine files on a server with Xampp on Windows. When I run any kind of server (Mongoose, Xampp, Apache command line) on Mac/OS X however, I get a popup on my wii u gamepad that says "Can't Open File" followed by "Firmware version detected is 5.4.0 when I try to run the www folder for loadiine gx2. What could I be doing wrong?

    EDIT: I just checked and my firewall is completely turned off, so it can't be that...
     
    Last edited by mpkostek, Apr 7, 2016
  2. SANNIC789

    SANNIC789 GBAtemp Advanced Fan

    Member
    704
    91
    Oct 3, 2015
    United States
    it manes u cant use 5.4.0 with the one your useing
     
  3. OnlineTuba

    OnlineTuba Member

    Newcomer
    21
    6
    Oct 15, 2008
    UK
    You would be better off running loadiine from your SD card and hosting the homebrew launcher from the www folder. You can get all the files need from the sticky threads. This way you can exit games launch mii maker again and loadiine will still be loaded.
     
  4. mpkostek
    OP

    mpkostek Advanced Member

    Newcomer
    80
    9
    Mar 25, 2016
    United States
    This would be great but the problem is I can't run any of these www folders. I get the "can't open file" with any www folder. There is some kind of access restriction happening and I'm trying to find out what that is.
     
  5. reminon

    reminon Member

    Newcomer
    40
    7
    Feb 7, 2016
    United States
    so you can host fine on your pc, but you're wanting to host on your mac, and its giving the error?

    the wiiu that i bought came with 5.2, and i updated to 5.4 thinking it would be as easy to run exploits on as 5.3.2 is. the exploits for 5.4 use a .mp4 bug instead of the html files that are used in 5.3.2. it took me forever to find info pertaining to anything 5.4 loading. but anyway i uploaded the homebrew launcher that i am using, i also included loadiinegx2 and ftpiiu. i also included the files for loading it on 5.4, and mongoose "for windows, but downloading the mac version should work too".

    unzip the file to a location of your choice, copy the wiiu folder to your sd, go into the www folder and run mongoose. mongoose will load a web browser on your pc showing the index file in the www folder. in your address bar take the ip and type it into the web browser on your wiiu. "example: http://192.168.1.3:8080 is mine". dont go to the page yet. after you type the ip into your wiiu's browser, add "/payload.mp4" without quotes. "example:http://192.168.1.3:8080/payload.mp4 is mine". go to that and itll load the kernel exploit and reload the browser. go to the address again and itll load homebrew launcher.

    for some reason the index refused to work properly for me, so i loaded the mp4 directly. if the kernel exploit fails it will kick you out and bring you into internet settings. back out all the way to the home menu and try again. self host works for me 99% of the time, while net hosted exploits never work for me. hope this helps, and sorry for the wall of text.

    Link: https://mega.nz/#!Dx8x2boR!z23M3PrZvUIAjDxuBJ03wy9sLj6qZ3OHxuOfM1awTF8
     
    Last edited by reminon, Apr 7, 2016
  6. mpkostek
    OP

    mpkostek Advanced Member

    Newcomer
    80
    9
    Mar 25, 2016
    United States
    HOLY... After a long amount of struggle, you have finally provided me with the correct solution for 5.4.0 mac hosting! This worked perfectly for me! Thank you so much!
     
    reminon and Kafluke like this.
  7. reminon

    reminon Member

    Newcomer
    40
    7
    Feb 7, 2016
    United States
    No problem...I had a hard time finding info on 5.4, and all of the downloads in the stickies are missing 5.4 payloads.
     
  8. mpkostek
    OP

    mpkostek Advanced Member

    Newcomer
    80
    9
    Mar 25, 2016
    United States
    Where did you locate that from?
     
  9. reminon

    reminon Member

    Newcomer
    40
    7
    Feb 7, 2016
    United States
  10. mpkostek
    OP

    mpkostek Advanced Member

    Newcomer
    80
    9
    Mar 25, 2016
    United States
    ignore this.
     
  11. reminon

    reminon Member

    Newcomer
    40
    7
    Feb 7, 2016
    United States
    Glad it all worked out for you. The main problem is that most of the easy to find info on here is 5.3.2 related, as that's the most popular at the moment.
     
  12. mpkostek
    OP

    mpkostek Advanced Member

    Newcomer
    80
    9
    Mar 25, 2016
    United States
    Yeah I'm learning that I have to look for 5.4.0 specific stuff when possible, thanks!